### Method

# Gio DBusProxy call_with_unix_fd_list

since: 2.30

#### Declaration

    void
    g_dbus_proxy_call_with_unix_fd_list (
      GDBusProxy* proxy,
      const gchar* method_name,
      GVariant* parameters,
      GDBusCallFlags flags,
      gint timeout_msec,
      GUnixFDList* fd_list,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Like `g_dbus_proxy_call()` but also takes a `GUnixFDList` object.

This method is only available on UNIX.

Available since: 2.30

#### Parameters

`method_name`

  Type: `const gchar*`

  Name of method to invoke.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`parameters`

  Type: `GVariant`

  A `GVariant` tuple with parameters for the signal or `NULL` if not passing parameters.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`flags`

  Type: `GDBusCallFlags`

  Flags from the `GDBusCallFlags` enumeration.

`timeout_msec`

  Type: `gint`

  The timeout in milliseconds (with `G_MAXINT` meaning “infinite”) or -1 to use the proxy default timeout.

`fd_list`

  Type: `GUnixFDList`

  A `GUnixFDList` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied or `NULL` if you don’t care about the result of the method invocation.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  The data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.